Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google      Sign In   
  • Create Account

.NET 4.0 Encountered a Serious Error


  • Please log in to reply
15 replies to this topic

#1 athens622

athens622

    Regular Member

  • Members
  • Pip
  • 19 posts
  • Graphics Card:AMD Radeon HD 6750M
  • Operating System:Mac OS X 10.6 (Snow Leopard)

Posted 04 April 2013 - 08:09 PM

So, I want to install a game that needs .NET 4.0 Framework.

I Make a blank wrapper, and run dotnet40 (.NET 4.0) in Winetricks.

Winetricks extracts the installer, and then I get this error window:

Posted Image

What am I doing wrong?

Do I have to install another dll before I install dotnet40?


I am running the WS9Wine1.5.27 Engine in Wineskin 2.5.9 on OS X 10.6.8.

My computer has a 2.3 GHz Intel Core i7 processor and an AMD Radeon HD 6750M graphics card.


#2 SilentJacket

SilentJacket

    Professional Member

  • Members
  • PipPipPipPip
  • 188 posts
  • Graphics Card:NVIDIA Geforce 650M 1.024 GB
  • Operating System:OS X 10.8 (Mountain Lion)

Posted 04 April 2013 - 08:38 PM

1) dotnet 40 does not work in wine
2) make sure that both your engine and wine version are up to date

Posted Image


#3 athens622

athens622

    Regular Member

  • Members
  • Pip
  • 19 posts
  • Graphics Card:AMD Radeon HD 6750M
  • Operating System:Mac OS X 10.6 (Snow Leopard)

Posted 05 April 2013 - 12:33 PM

By looking at the Hawken thread I got the idea that you and DanIsTheMan managed to install it in your Hawken wrappers though.

#4 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 06 June 2013 - 02:00 PM

now with the latest wine and winetricks. (1.5.31X engine with the wineskin 1.5.10 beta4 base) it's suppose to at least work.  It's now silver on winehq but instead I get this error when i try to install it via the winetricks.  I made sure to click the get latest winetricks button

Executing w_do_call dotnet40
Executing load_dotnet40
------------------------------------------------------
dotnet40 does not yet fully work or install on wine.  Caveat emptor.
------------------------------------------------------
Executing mkdir -p /Users/herecomethej/Library/Caches/winetricks/dotnet40
Current wine does not have wine bug 30707, so not applying workaround
Executing w_do_call remove_mono
Executing load_remove_mono
------------------------------------------------------
Mono does not appear to be installed.
------------------------------------------------------
Executing rm -f /Users/herecomethej/Desktop/BHP Launcher.app/Contents/Resources/dosdevices/c:/windows/system32/mscoree.dll
Using native override for following DLLs: mscoree
Executing winetricks_early_wine regedit C:\windows\Temp\_dotnet40\override-dll.reg
DELETE - HKLM\Software\Microsoft\NET Framework Setup\NDP\v4 (null) 0 0 1
The operation completed successfully
Current wine does not have wine bug 30707, so not applying workaround
------------------------------------------------------
dotnet40 install completed, but installed file /Users/herecomethej/Desktop/BHP Launcher.app/Contents/Resources/dosdevices/c:/windows/Microsoft.NET/Framework/v4.0.30319/ngen.exe not found
------------------------------------------------------
ADD - HKLM\Software\Microsoft\NET Framework Setup\NDP\v4\Full Version 0 REG_SZ 4.0.30319 1
ADD - HKLM\Software\Microsoft\NET Framework Setup\NDP\v4\Full Install 0 REG_DWORD 0001 1
fixme:heap:HeapSetInformation 0x0 1 0x0 0
fixme:process:SetProcessDEPPolicy (3): stub
The operation completed successfully
The operation completed successfully

And a dialog box that says

Extracted files:

The application cannot find one of its required files, possibly because it was unable to create it in the folder. Please make sure that the folder in which this application was downloaded is accessible and not read-only.

I don't think it's permissions as the windows folder in question is clearly 777

And I checked for the windows/Micrsoft.NET folder which doesn't exist so I guess it didn't extract at all

Any ideas?

#5 zoroaster

zoroaster

    Professional Member

  • Members
  • PipPipPipPip
  • 143 posts

Posted 06 June 2013 - 03:56 PM

View Postdarklord42, on 06 June 2013 - 02:00 PM, said:

I made sure to click the get latest winetricks button

Does this make sure that you are really getting the latest winetricks? If you are using MacPorts i.e. you get a version installed that is about a year old (and such old versions did never really work for me).

For now the latest winetricks is this one: https://winetricks.g.../src/winetricks

#6 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 06 June 2013 - 04:23 PM

Ill give it a whirl when I get home.  How would I incorporate it into wineskin?

Does this mean i have to setup and build wineskin from source?

#7 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 07 June 2013 - 04:24 AM

I checked, that's where the update wineskin button gets its update in the first place.

#8 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 07 June 2013 - 09:31 PM

So no other ideas? or anything i can do to see whats going on?

#9 doh123

doh123

    Wineskin Developer

  • Members
  • 4,279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 07 June 2013 - 11:11 PM

as Winetricks script even says... .NET 4 doesn't work nor install correctly... I don't think anyone has ever gotten version 4 to install like this.

#10 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 08 June 2013 - 01:00 AM

I assumed that was old as the wine people claim it works so long as you use the winetricks script

http://appdb.winehq....rsion&iId=17886

#11 ovvldc

ovvldc

    Master Member

  • Members
  • 1,079 posts
  • Graphics Card:Intel HD5000
  • Operating System:macOS 10.12 (Sierra)
  • I like to play:stories

Posted 08 June 2013 - 06:44 AM

What ever else I do, I have to start with a completely clean wrapper before I install dotnet. I never tried dotnet 4.0, but I got as far as 3.5 that way...

If you can't get it to work, get the logs from the install and open a bug with the Wine bug database. With luck, they'll fix it for 1.6.

#12 dankoB

dankoB

    Legendary Member

  • Super Moderators
  • 2,961 posts
  • LocationNew Brunswick, Canada
  • Graphics Card:MacBook Pro Core i7 16GB
    AMD Radeon HD 6750M 512MB

    MacBook Core2Duo 4GB
    nVidia 9400M 256MB
  • Operating System:Mac OS X 10.6 (Snow Leopard)
  • I like to play:la rockitar
Author

Posted 08 June 2013 - 10:54 AM

I managed to get it to install correctly ... I uploaded the wrapper to the applications section.

You can find it here - http://portingteam.c...ft-net-40-full/

Not sure how well it will work because of the known issues but you should be able to get some functionality out of it.
Posted Image

#13 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 08 June 2013 - 11:49 AM

Thankyou so much! at least I know it can be installed.  But does it really need to be 1.3 gigs just to get it working? All that extra stuff is huge.   Anyway to lighten the load a little or does dot net really need all that just to run 4.0.

Edit - I guess not :)

#14 dankoB

dankoB

    Legendary Member

  • Super Moderators
  • 2,961 posts
  • LocationNew Brunswick, Canada
  • Graphics Card:MacBook Pro Core i7 16GB
    AMD Radeon HD 6750M 512MB

    MacBook Core2Duo 4GB
    nVidia 9400M 256MB
  • Operating System:Mac OS X 10.6 (Snow Leopard)
  • I like to play:la rockitar
Author

Posted 08 June 2013 - 02:01 PM

What did you remove? The dot net Framework is almost a Gigabyte to begin with. The majority of the stuff installed (aside from the vcruns) was created by the dot Net installers.
Posted Image

#15 darklord42

darklord42

    Rookie Porter

  • Members
  • PipPipPipPip
  • 151 posts

Posted 08 June 2013 - 03:15 PM

Oh I couldn't remove anything. :) well as you said, the vcruns i could have but, thats small potatoes.  I just learned how interconnected dotnet is from 2.0 all the way to 4.0.  What a terrible system.

#16 dankoB

dankoB

    Legendary Member

  • Super Moderators
  • 2,961 posts
  • LocationNew Brunswick, Canada
  • Graphics Card:MacBook Pro Core i7 16GB
    AMD Radeon HD 6750M 512MB

    MacBook Core2Duo 4GB
    nVidia 9400M 256MB
  • Operating System:Mac OS X 10.6 (Snow Leopard)
  • I like to play:la rockitar
Author

Posted 08 June 2013 - 03:17 PM

Oh good, I was afraid I left a temp folder in there or something.
Posted Image




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users